.inner-modal {
  max-width: 1216px;
}

.inner-modal .headline-5 {
  margin-bottom: var(--space-24);
}

.inner-modal .book-service-container .button,
.inner-modal .book-service-container .bottom-row .button {
  width: 256px;
  min-width: 256px;
  border: 2px solid var(--button-underline-grey) !important;
  border-radius: 30px;
  padding: 0;
}

.inner-modal .book-service-container .bottom-row .button {
  width: 100%;
}

.inner-modal .book-service-container .button:hover,
.inner-modal .book-service-container .button.active {
  border-color: var(--green) !important;
}

.inner-modal .book-service-container .buttons-container {
  display: grid;
  gap: var(--space-24);
  grid-template-columns: repeat(4, 1fr);
}

.inner-modal .book-service-container .top-row {
  margin-top: var(--space-60);
}

.inner-modal .book-service-container .top-row .button {
  height: 56px;
}

.inner-modal .book-service-container .bottom-row {
  margin-top: var(--space-44);
}

.inner-modal .book-service-container .bottom-row .button-wrapper {
  position: relative;
  height: auto;

  padding: var(--space-24);
}

.icon-black {
  filter: invert(1);
}

.inner-modal .book-service-container .bottom-row .name {
  padding-bottom: var(--space-16);
  border-bottom: 1px solid var(--button-underline-grey);
}

.inner-modal .book-service-container .bottom-row .address {
  display: flex;
  align-items: flex-start;
  gap: var(--space-10);

  padding-top: var(--space-26);
}

@media (max-width: 1440px) {
  .inner-modal .book-service-container .button,
  .inner-modal .book-service-container .bottom-row .button-wrapper {
    width: 100%;
    min-width: 200px;
  }

  .inner-modal .book-service-container .buttons-container {
    gap: var(--space-16);
  }
}

@media (max-width: 1400px) {
  .inner-modal .book-service-container .button,
  .inner-modal .book-service-container .bottom-row .button-wrapper {
    width: 100%;
    min-width: 100%;
  }

  .inner-modal .book-service-container .buttons-container {
    gap: var(--space-24);
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 1023px) {
  .inner-modal .book-service-container .top-row .buttons-container {
    gap: var(--space-16);
    grid-template-columns: repeat(1, 1fr);
  }
  .inner-modal .book-service-container .buttons-container .bottom-row {
    grid-template-columns: repeat(2, 1fr);
  }

  .inner-modal .book-service-container .bottom-row .button-wrapper {
    border-radius: 12px;
    padding: var(--space-8) var(--space-16);
  }

  .inner-modal .book-service-container .bottom-row .button {
    width: auto;
    min-width: auto;
    border-radius: 12px;
  }

  .inner-modal .book-service-container .bottom-row .name {
    padding-bottom: var(--space-8);
  }

  .inner-modal .book-service-container .bottom-row .pretext {
    padding-top: var(--space-10);
  }
}

@media (max-width: 767px) {
  .inner-modal .book-service-container .buttons-container {
    gap: var(--space-8);
  }

  #book-service-modal .book-service-container .bottom-row,
  #book-service-modal .book-service-container .top-row {
    margin-top: var(--space-36);
  }

  #book-service-modal .inner-modal {
    width: 100%;
  }

  #book-service-modal .icon-black {
    filter: invert(1);
    transform: scale(0.9);
  }
}
